0 votes

Hi team,

I am installaing wallee payment module for magento 2.2 directly (not through composer).

I have downlaed the package from below link
https://github.com/wallee-payment/magento-2.2/releases/tag/1.0.81/

While upgrading setup it show me below error.

[RuntimeException]
Class Wallee\Sdk\Model\PaymentMethodConfiguration does not exist
Class Wallee\Payment\Api\PaymentMethodConfigurationManagementInterface\Proxy generation error: The requested class did not generate properly, because th
e 'generated' directory permission is read-only. If --- after running the 'bin/magento setup:di:compile' CLI command when the 'generated' directory perm
ission is set to write --- the requested class did not generate properly, then you must add the generated class object to the signature of the related c
onstruct method, only.

Can you please instruct how to resolve this. See attached screenshot
https://prnt.sc/svl5z2

Regards,
Deepak

asked by deepak KUMAR (120 points)

1 Answer

0 votes

Dear Deepak

thanks for your message.

At first, please note that we officially only support - and highly recommend the integration of Wallee over composer as we describe in the documentation:
https://plugin-documentation.wallee.com/wallee-payment/magento-2.2/1.0.81/docs/en/documentation.html

However, as you can see in the message in the screenshot, your "generated" directory seems to have the wrong permissions (read-only). Please check that the directory is writable (w permission) for the cli application so when running the upgrade, everything can be generated.

I hope I could help with this.
Let me know if anything is still unclear.

Regards
Benjamin Stadler
Wallee

answered by Benjamin STADLER (2k points)